Bug 620806 (CVE-2010-2790) - CVE-2010-2790 Zabbix: XSS in triggers page (ZBX-2326)
Summary: CVE-2010-2790 Zabbix: XSS in triggers page (ZBX-2326)
Status: CLOSED CURRENTRELEASE
Alias: CVE-2010-2790
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100726,reported=20100729,sou...
Keywords: Security
Depends On: 620809
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 14:32 UTC by Jan Lieskovsky
Modified: 2016-03-05 02:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 19:28:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-08-03 14:32:49 UTC
VUPEN Security Team reported:
  [1] http://www.vupen.com/english/advisories/2010/1908

multiple cross-site scripting (XSS) flaws, present in Zabbix code.
An attacker could use this flaw to execute arbitrary scripting code.

References:
  [2] https://support.zabbix.com/browse/ZBX-2326
  [3] http://www.zabbix.com/forum/showthread.php?p=68770

Comment 1 Jan Lieskovsky 2010-08-03 14:34:51 UTC
This issue affects the version of the zabbix package, as shipped
with Fedora release of 13.

Please fix / rebase to Zabbix v1.8.3rc1 / Zabbix v1.8.3rc3 versions.

Comment 2 Jan Lieskovsky 2010-08-03 14:36:05 UTC
Created zabbix tracking bugs for this issue

Affects: fedora-13 [bug 620809]

Comment 4 Volker Fröhlich 2014-01-06 19:28:28 UTC
zabbix 1.4.7 was retired and blocked in EPEL 5, as there is no upstream support for this version. This was the only remaining version potentially or actually prone to this issue, thus closing.

Users are encouraged to update to zabbix20 or later.


Note You need to log in before you can comment on or make changes to this bug.